<?php
 
session_start();
include("DMMYSQLG.php");
include("DMMYSQLG.php");
require_once("DV36000_CL.php");
require_once("DF80000.php");
?>
<?php

$bModPri=false;					//Bandera de Modificar(True solo En el Primer Bloqueo o recarga de pagina en modo Modificar)
$id_encfac=$_REQUEST["bot"]; 	//Id de Encabezado

/*Crear Objetos Necesarios para Manipular Encabezado y Detalle*/
$dataEnc['idEncFac']=$id_encfac;
$dataDet['idEncFac']=$id_encfac;
$encFac = new EncFac($dataEnc);
$detFac = new DetFac($dataDet);
$res=$encFac->busReg();
$dt_encfac=mysqli_fetch_array($res);
/************************************************************/
$sq_detfac=$detFac->busByEnc();
while($dt_detfac=mysqli_fetch_array($sq_detfac)){
	$detFac->resetData($dt_detfac);
	$detFac->eliminar();
}
$dataEnc['fecCan']=chfecha($_POST['fec_can'],'d/m/Y','Y-m-d');
$dataEnc['horCan']=$_POST['hor_can'];
$dataEnc['usuCan']=$_SESSION['num_usu'];
$encFac->resetData($dataEnc);
$rs=$encFac->cancelaFactura();
if($rs){
	echo '<h2>FACTURA CANCELADA</h2>';
	echo '<meta content="2; url=DV37000_PR.php" HTTP-EQUIV="REFRESH">';	
}
else{
	echo '<h2>ERROR AL CANCELAR FACTURA</h2>';
	echo '<meta content="1; url=DV37000_PR.php" HTTP-EQUIV="REFRESH">';
}
?>
